from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XUITest(Protocol):
    def executeCommand(self, command: str) -> bool: ...
    def executeCommandWithParameters(self, command: str, propValues: PropertyValues) -> bool: ...
    def executeCommandForProvider(self, command: str, xProvider: XDispatchProvider) -> bool: ...
    def executeDialog(self, command: str) -> bool: ...
    def getTopFocusWindow(self) -> XUIObject: ...
    def getFloatWindow(self) -> XUIObject: ...
    def getWindow(self, xWindow: XWindow) -> XUIObject: ...
    def getFocusWindow(self) -> XUIObject: ...
